function generateCallHTML(phoneNumber, name, callcount) {
    const head = `<head><meta charset="UTF-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta http-equiv="X-UA-Compatible" content="ie=edge"><link rel="stylesheet" type="text/css" href="/assets/css/form.css" /><title>AutoCallMenu</title></head>`;
    const form = `
        <form action="/inputs/call" method="post">
        <input type="hidden" name="phone" value="${phoneNumber}">
        <label class="switch">
            <input type="checkbox" name="vote">
            <span class="slider round"></span>
        </label>
        <label for="vote">Vote ?</label>
        <br>
        <button class="submit" type="submit">CONFIRMER</button>
        </form>
    `;
    const body = `<body><h1>Bienvenue :3</h1><h2>Appel: ${name} - ${phoneNumber}</h2><p>${callcount} appels restants</p>${form}</body>`;
    return `<!DOCTYPE html><html>${head}${body}</html>`;
}

module.exports = { generateCallHTML };
